This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 197189 - Review Request: fonts-sinhala
Review Request: fonts-sinhala
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
: 226809 (view as bug list)
Depends On:
Blocks: FC-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-29 00:17 EDT by Leon Ho
Modified: 2013-01-09 22:57 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-13 00:31:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Leon Ho 2006-06-29 00:17:00 EDT
Spec URL: http://people.redhat.com/llch/fonts-sinhala/fonts-sinhala.spec
SRPM URL: http://people.redhat.com/llch/fonts-sinhala/fonts-sinhala-0.2-1.src.rpm
Packge Owner: dsantani@redhat.com
Description:
An essential font for Sinhala language for FC6.
Size: noarch = 107k; SRPMS = 105k
Comment 1 Bill Nottingham 2006-06-29 00:34:41 EDT
Translations for this locale seem woefully incomplete. Aside from that, sounds OK.
Comment 2 Leon Ho 2006-07-05 02:36:22 EDT
Jesse, please review and would be great to add the component.
Comment 3 Sarantis Paskalis 2006-07-05 06:29:56 EDT
Some comments regarding the spec file:

> BuildRoot: %{_tmppath}/%{name}-root
Please use the recommended BuildRoot:
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

> Prereq: fontconfig
This is not necessary in font packages, since they could be installed in systems
without fontconfig.  See a policy explanation in
http://www.redhat.com/archives/fedora-extras-list/2005-May/msg00887.html
Moreover, provisions are made in the spec file to check the presense of fc-cache
before running it.

> # %%ghost the fonts.cache-1 file
> touch $RPM_BUILD_ROOT%{_datadir}/fonts/sinhala/fonts.cache-1
> %ghost %{_datadir}/fonts/sinhala/fonts.cache-1

This is not necessary for fontconfig > 2.3.93, i.e. for FC>=5.  If this package
is intended for Fedora >=5 only, ghosting this file is superfluous.


Comment 4 Jesse Keating 2006-07-05 11:18:38 EDT
Other than the above comments, rpmlint has this to say:

W: fonts-sinhala wrong-file-end-of-line-encoding
/usr/share/doc/fonts-sinhala-0.2/COPYING
W: fonts-sinhala wrong-file-end-of-line-encoding
/usr/share/doc/fonts-sinhala-0.2/license.txt

Those two files may have windows encoding or the like.

Fix that and the comments above and I'll be happy to approve this.
Comment 5 Bill Nottingham 2006-07-05 13:52:11 EDT
Do we have a plan in place to get translations for the desktops?
Comment 6 Leon Ho 2006-07-07 01:17:01 EDT
Thanks. It is updated. Jesse please approve:

Spec URL: http://people.redhat.com/llch/fonts-sinhala/fonts-sinhala.spec
SRPM URL: http://people.redhat.com/llch/fonts-sinhala/fonts-sinhala-0.2-2.src.rpm
Packge Owner: dsantani@redhat.com
Description:
An essential font for Sinhala language for FC6.
Size: noarch = 107k; SRPMS = 105k
Comment 8 Sarantis Paskalis 2006-07-11 06:19:05 EDT
The first and third issue (i.e. BuildRoot and superfluous %ghosting) are still
in -2.
Comment 9 Leon Ho 2006-07-12 00:32:14 EDT
Jesse:

Spec URL: http://people.redhat.com/llch/fonts-sinhala/fonts-sinhala.spec
SRPM URL: http://people.redhat.com/llch/fonts-sinhala/fonts-sinhala-0.2-3.src.rpm
Packge Owner: dsantani@redhat.com
Description:
An essential font for Sinhala language for FC6.
Size: noarch = 107k; SRPMS = 105k
Comment 10 Jesse Keating 2006-07-12 23:46:55 EDT
Issues look resolved.  RPMLINT is silent.  Approving.

Adding to dist per notting's approval.
Comment 11 Leon Ho 2006-07-13 00:31:21 EDT
Thanks Jesse. Package is imported into cvs-dist and built in dist-fc6. But seems
the owner should be dsantani@redhat.com instead.
Comment 12 Jesse Keating 2006-07-13 09:01:51 EDT
fixed.
Comment 13 Peter Lemenkov 2009-09-26 10:57:17 EDT
*** Bug 226809 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.